Packages
24 endpoints
GET/v1/packages
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
GET/v1/packages/{packageId}
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
packageIdpath · stringRequiredGET/v1/packages/{packageId}/reviews
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
packageIdpath · stringRequiredGET/v1/stores/{storeId}/licences
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredGET/v1/stores/{storeId}/packages
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredPOST/v1/stores/{storeId}/packages
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredBody
application/json
GET/v1/stores/{storeId}/packages/{packageId}
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredpackageIdpath · stringRequiredPATCH/v1/stores/{storeId}/packages/{packageId}
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredpackageIdpath · stringRequiredBody
application/json
GET/v1/stores/{storeId}/packages/{packageId}/draft
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredpackageIdpath · stringRequiredPATCH/v1/stores/{storeId}/packages/{packageId}/draft
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredpackageIdpath · stringRequiredBody
application/json
POST/v1/stores/{storeId}/packages/{packageId}/draft/check
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredpackageIdpath · stringRequiredBody
application/json
POST/v1/stores/{storeId}/packages/{packageId}/draft/discard
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredpackageIdpath · stringRequiredBody
application/json
POST/v1/stores/{storeId}/packages/{packageId}/draft/preview
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredpackageIdpath · stringRequiredBody
application/json
POST/v1/stores/{storeId}/packages/{packageId}/publish
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredpackageIdpath · stringRequiredBody
application/json
POST/v1/stores/{storeId}/packages/{packageId}/review
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredpackageIdpath · stringRequiredBody
application/json
GET/v1/stores/{storeId}/packages/{packageId}/update
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredpackageIdpath · stringRequiredPOST/v1/stores/{storeId}/packages/{packageId}/update/merge
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredpackageIdpath · stringRequiredBody
application/json
GET/v1/stores/{storeId}/packages/{packageId}/versions/{versionId}/files
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredpackageIdpath · stringRequiredversionIdpath · stringRequiredPOST/v1/stores/{storeId}/packages/{packageId}/versions/{versionId}/published
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredpackageIdpath · stringRequiredversionIdpath · stringRequiredBody
application/json
POST/v1/stores/{storeId}/packages/{packageId}/versions/{versionId}/yank
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredpackageIdpath · stringRequiredversionIdpath · stringRequiredBody
application/json
POST/v1/stores/{storeId}/packages/install
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredBody
application/json
GET/v1/stores/{storeId}/template
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredPUT/v1/stores/{storeId}/template
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredBody
application/json
GET/v1/stores/{storeId}/template/preview
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequired